Deletes a custom MCP service in the current workspace. The deletion cannot be undone.
Endpoint
DELETE /api/v1/mcp/servers/{mcpCode}
Supports custom MCP only. The deletion cannot be undone, and a deleted service cannot be deleted again.
Request parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| mcpCode | string | Yes | Custom MCP code |
Response
Returns a DetailResponse with only mcp_code, server_status, and server_status_text populated. All other fields are null.
Errors
| HTTP status | error_code | Description |
|---|---|---|
| 400 | InvalidParameter | A query parameter or request body is provided |
| 400 | OperationNotSupported | The service is an official MCP |
| 400 | DeleteFailed | The deletion failed |
| 404 | McpServerNotFound | The MCP service does not exist |
| 404 | McpServerUnavailable | The MCP service is deleted |